#ifndef REQDATAMANGER_H
#define REQDATAMANGER_H

#include <QString>
//#include <QJsonObject>

class ReqDataManger
{
public:
    static ReqDataManger& Instance();

    void SetToken(const QString& token);

    QByteArray GetLoginData();
    QByteArray GetPullOrderData(const QString &timestamp);
    QByteArray GetConfirmOrderData(const QString &orderId, const QString &id, const QString &name, const QString &phone);
    QByteArray GetRefuseOrderData(int reasonCode,const QString &orderId);
    QByteArray GetSendOrderData(const QString &orderId);
    QByteArray GetOrderFinshData(const QString &orderId);
    //QJsonObject GetUpdateStockData(QList<CommodityStockObj> &stockList, QString &token);
    QByteArray GetDeliverData(const QString &storeId);
    QByteArray GetRefundOrderData(const QString &orderId, const QString &reason);
    QByteArray GetNoRefundOrderData(const QString &orderId, const QString &reason);


private:
    ReqDataManger(){}
    ReqDataManger(ReqDataManger const&);
    ReqDataManger& operator=(ReqDataManger const&);

private:
    QString m_token;
};

#endif // REQDATAMANGER_H
